<div *ngIf="!flag">
    <div class="columns">
        <div class="column">
            <p class="title is-1"> Users</p>

        </div>
    </div>
    <div class="columns">
        <div class="column">
            <form [formGroup]="filterForm" (ngSubmit)="sendingQuery($event)" novalidate>
                <label for="key">Filter by:
                    <br />
                        <select formControlName="key">
                            <option disabled>Area</option>
                            <option value="user_firstName">First Name</option>
                            <option value="user_secondName">Second Name</option>
                            <option value="user_fristLastName">F Last Name</option>
                            <option value="user_firstSecondName">S Last Name</option>
                            <option value="user_country">Country</option>
                            <option value="user_IDType">ID Type</option>
                            <option value="user_IDNumber">ID Number</option>
                            <option value="user_email">Email</option>
                            <option valu="user_status">Status</option>
                        </select>
                </label>
                <input type="text" placeholder="QueryToSearch" formControlName="value">
                <input type="Submit" value="Filter">
            </form>
        </div>
        <div class="column">
            <br/>
            <button (click)="resetFilter($event)">Reset</button>       
        </div>
        <div class="column"></div>
        
    </div>

    <div class="columns">
        <div class="column is-half">
            <table class="table">
                <thead>
                    <tr>
                        <th>F Last Name</th>
                        <th>S Last Name</th>
                        <th>First Name</th>
                        <th>Second Name</th>
                        <th>Email</th>
                        <th>Country</th>
                        <th>ID Type</th>
                        <th>ID Number</th>
                        <th>Entrance Date</th>
                        <th>Area</th>
                        <th>Status</th>
                        <th>Registration Date</th>
                        <th>Modify</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let user of users">
                        <th>{{user.user_firstLastName}}</th>
                        <th>{{user.user_secondLastName}}</th>
                        <th>{{user.user_firstName}}</th>
                        <th>{{user.user_secondName}}</th>
                        <th>{{user.user_email}}</th>
                        <th>{{user.user_country}}</th>
                        <th>{{user.user_IDType}}</th>
                        <th>{{user.user_IDNumber}}</th>
                        <th>{{user.entrance_date}}</th>
                        <th>{{user.user_area}}</th>
                        <th>{{user.user_status}}</th>
                        <th>{{user.registration_date}}</th>
                        <th><button (click)="goingForward($event)" id="{{user.user_id}}">Edit</button>
                            <button id="{{user.user_id}}" (click)="deleteUser($event)">Delete</button>
                        </th>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

<div *ngIf="flag">
    <div columns="columns ">
        <div class="column is-third"></div>
        <div class="column is-third">
            <p class="title is-1"> Edit Employee: {{userEdited.user_firstName}}</p>
        </div>
        <div class="column is-third"></div>
    </div>
    <div class="container">
        <form [formGroup]="editForm" novalidate (ngSubmit)='onSubmit()'>
            <div class="columns">
                <div class="column">
                    <label for="firstLastName">
                        *First Lastname:
                        <input type="text" formControlName="firstLastName">
                        <div *ngIf="(firstLastName.touched || firstLastName.dirty) && firstLastName.errors?.pattern">
                            Check
                            the
                            Lastname
                            entered
                        </div>
                    </label>
                </div>
                <div class="column">
                    <label for="secondLastName">
                        *Second Lastname:
                        <input type="text" formControlName="secondLastName">
                        <div *ngIf="(secondLastName.touched || secondLastName.dirty) && secondLastName.errors?.pattern">
                            Check
                            the
                            Lastname
                            entered
                        </div>
                    </label>
                </div>
                <div class="column">
                    <label for="firstName">
                        *First Name:
                        <input type="text" formControlName="firstName">
                        <div *ngIf="(firstName.touched || secondLastName.dirty) && firstName.errors?.pattern"> Check the
                            First
                            Name
                            entered
                        </div>
                    </label>
                </div>
                <div class="column">
                    <label for="secondName">
                        Second Name:
                        <input type="text" formControlName="secondName">
                        <div *ngIf="(secondName.touched || secondLastName.dirty) && secondName.errors?.pattern"> Check
                            the
                            Second
                            Name
                            entered
                        </div>
                    </label>
                </div>
            </div>
            <div class="columns">
                <div class="column"> <label for='country'>
                        *Select Country:
                        <br />
                        <div class="select">
                            <select formControlName="country">
                                <option disabled>Country</option>
                                <option value="Colombia">Colombia</option>
                                <option value="United States">United States</option>
                            </select>
                            <div *ngIf='country !== null'>
                                <div *ngIf="(country.touched && country.pristine)">
                                    Select a Country
                                </div>
                            </div>
                        </div>
                    </label>
                </div>
                <div class="column">
                    <label for="identificationType">
                        *Select ID Type:
                        <br />
                        <div class="select">
                            <select formControlName="identificationType">
                                <option disabled>ID Type/option>
                                <option value="CC">CC</option>
                                <option value="EC">EC</option>
                                <option value="PASSPORT">PASSPORT</option>
                                <option value="EP">EP</option>
                            </select>
                        </div>
                        <div *ngIf='identificationType !== null'>
                            <div *ngIf="(identificationType.touched && identificationType.pristine)">
                                Select an ID Type
                            </div>
                        </div>
                    </label>
                </div>
                <div class="column">
                    <label for="identificationNumber">
                        *ID Number:
                        <input type="text" formControlName="identificationNumber" (blur)="checkingID()">
                        <div *ngIf='identificationNumber !== null'>
                            <div
                                *ngIf="(identificationNumber.touched || identificationNumber.dirty) && identificationNumber.errors?.pattern ">
                                Verify ID Number
                            </div>
                        </div>
                    </label>
                </div>
                <div class="column">
                    <label>
                        *Date of Registration:
                        <br />
                        <input type="date" class="date-item" min="this.thisDate" formControlName="date">
                        <div *ngIf="date !== null">
                            <div *ngIf='date.invalid && (date.dirty || date.touched)'>
                                {{date.errors.dateError}}
                            </div>
                        </div>

                    </label>
                </div>
            </div>
            <div class="columns">
                <div class="column is-third">
                    <label for="area">
                        *Select Area for the Employee:
                        <br />
                        <div class="select">
                            <select formControlName="area">
                                <option disabled>Area</option>
                                <option value="Managing">Managing</option>
                                <option value="Financial">Financial</option>
                                <option value="Purchasing">Purchasing</option>
                                <option value="Infrastructure">Infrastructure</option>
                                <option value="Operations">Operations</option>
                                <option value="Human Resources">Human Resources</option>
                                <option value="General Services">General Services</option>
                            </select>
                        </div>
                        <div *ngIf="(area.touched && area.pristine)">
                            Select an area
                        </div>
                    </label>
                </div>
                <div class="column is-third"></div>
                <div class="column is-third">
                    <label>
                        Status:
                        <br />
                        <input type="text" formControlName='status'>
                        <div *ngIf='status.invalid && (status.touched || status.dirty)'>
                            Somehow status is invalid
                        </div>
                    </label>

                </div>
            </div>
            <div class="columns is-centered">
                <div class="column is-half">
                    <input type="Submit" [disabled]="editForm.invalid" value="Submit">

                </div>
            </div>
        </form>
        <button (click)="goingBack($event)">Go Back</button>
    </div>
</div>